VERSION 5.00
Object = "{648A5603-2C6E-101B-82B6-000000000014}#1.1#0"; "mscomm32.ocx"
Begin VB.Form Form1 
   Caption         =   "Comm Port V1.0"
   ClientHeight    =   4830
   ClientLeft      =   120
   ClientTop       =   420
   ClientWidth     =   6060
   LinkTopic       =   "Form1"
   ScaleHeight     =   4830
   ScaleWidth      =   6060
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdSend2 
      BackColor       =   &H00C0C0FF&
      Caption         =   "Send Cmd #2 to PIC"
      Height          =   345
      Left            =   4290
      Style           =   1  'Graphical
      TabIndex        =   11
      ToolTipText     =   "EXIT Command Mode"
      Top             =   840
      Width           =   1695
   End
   Begin VB.CommandButton cmdSend1 
      BackColor       =   &H00C0FFC0&
      Caption         =   "Send Cmd #1 to PIC"
      Height          =   375
      Left            =   4260
      Style           =   1  'Graphical
      TabIndex        =   9
      ToolTipText     =   "Goto Command Mode"
      Top             =   330
      Width           =   1695
   End
   Begin VB.CommandButton cmdSendText 
      Caption         =   "Send TEXT in box"
      Height          =   345
      Left            =   4440
      TabIndex        =   8
      ToolTipText     =   "Send Data in text box"
      Top             =   3270
      Width           =   1455
   End
   Begin VB.TextBox Text3 
      Height          =   855
      Left            =   180
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   7
      Text            =   "VB5Comm1.frx":0000
      Top             =   3000
      Width           =   4005
   End
   Begin VB.TextBox Text2 
      Height          =   915
      Left            =   180
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   4
      Top             =   1710
      Width           =   3975
   End
   Begin VB.TextBox Text1 
      Height          =   945
      Left            =   180
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   3
      Top             =   390
      Width           =   3945
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit"
      Height          =   345
      Left            =   4680
      TabIndex        =   1
      Top             =   4380
      Width           =   1155
   End
   Begin VB.CommandButton cmdOpenPort 
      BackColor       =   &H00FFFFC0&
      Caption         =   "Open Port"
      Height          =   375
      Left            =   180
      Style           =   1  'Graphical
      TabIndex        =   0
      Top             =   4380
      Width           =   1365
   End
   Begin MSCommLib.MSComm MSComm1 
      Left            =   1770
      Top             =   4080
      _ExtentX        =   1005
      _ExtentY        =   1005
      _Version        =   393216
      CommPort        =   2
      DTREnable       =   0   'False
      OutBufferSize   =   1024
      RThreshold      =   1
      BaudRate        =   115200
      InputMode       =   1
   End
   Begin VB.Label Label3 
      Alignment       =   2  'Center
      Caption         =   "Text Ready to Send to PIC"
      Height          =   255
      Left            =   750
      TabIndex        =   10
      Top             =   2730
      Width           =   2175
   End
   Begin VB.Label Label2 
      Alignment       =   2  'Center
      Caption         =   "Data Received from PIC"
      Height          =   225
      Left            =   810
      TabIndex        =   6
      Top             =   1500
      Width           =   2115
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Data Sent to PIC"
      Height          =   225
      Left            =   690
      TabIndex        =   5
      Top             =   150
      Width           =   2115
   End
   Begin VB.Label lblPort 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      Caption         =   "Port Closed"
      BeginProperty Font 
         Name            =   "System"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H000000FF&
      Height          =   285
      Left            =   210
      TabIndex        =   2
      Top             =   4050
      Width           =   1335
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim PCport As Byte

Private Sub Form_Load()
Dim dump

Form1.Show

On Error GoTo fail1

PCport = 1 'enter your PC comm port number

Form1.Caption = " CommPort No: " & PCport
        ' Use the COM1 serial port.
        MSComm1.CommPort = PCport
        
        ' 9600 baud, no parity, 8 data, and 1 stop bit.
        MSComm1.Settings = "9600,N,8,1"

        ' Tell the control to read the whole buffer when Input is used.
        MSComm1.InputLen = 0
        
Exit Sub

fail1:
MsgBox "Setup Fail"

End Sub

'add as many cmdSend buttons as required.

Private Sub cmdSend1_Click()
Dim msg1 As String

msg1 = "my command #1" ' make this string your command to the PIC
If MSComm1.PortOpen = True Then
MSComm1.Output = msg1
Text1.SelText = msg1 & vbCrLf
End If

End Sub

Private Sub cmdSend2_Click()
Dim msg2 As String

msg2 = "my command #2" ' make this string your command to the PIC
If MSComm1.PortOpen = True Then
MSComm1.Output = msg2 & vbCrLf
Text1.SelText = msg2 & vbCrLf
End If

End Sub

Private Sub cmdSendText_Click()
'type in your text into the text box,
'then use this command to send the text to PIC

If MSComm1.PortOpen = True Then
MSComm1.Output = Text3.Text
Text1.SelText = Text3.Text & vbCrLf
End If

End Sub

Private Static Sub MSComm1_OnComm()
Dim Data
Dim strRX As String

On Error GoTo comfail

'this is the RXD input from the PIC to PC
'it will be displayed in text box #2
'
'add any error traps and messages as you require.

Select Case MSComm1.CommEvent

Case comEvReceive
Dim Buffer As Variant

Buffer = MSComm1.Input
Data = (StrConv(Buffer, vbUnicode))

If Data = Chr(10) Then
Text2.SelText = vbCrLf
Else
Text2.SelLength = Len(Text1.Text)
Text2.SelText = Data
End If

End Select

Exit Sub

comfail:
MsgBox "comms fail"

End Sub

 
Private Sub cmdOpenPort_Click()
Dim dump
'Open and flush the RXD buffer
        If MSComm1.PortOpen = True Then
        dump = MSComm1.Input
        MSComm1.PortOpen = False
        cmdOpenPort.Caption = "Open Port"
        lblPort.Caption = "Port Closed"
        lblPort.ForeColor = vbRed
        Else
        MSComm1.PortOpen = True
        cmdOpenPort.Caption = "Close Port"
        lblPort.Caption = "Port Open"
        lblPort.ForeColor = vbBlack
         End If
End Sub


Private Sub cmdExit_Click()

If MSComm1.PortOpen = True Then
MSComm1.PortOpen = False
End If

End

End Sub
 
 
